Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.rest.client.domain
Class PropertyDefinition.StringValue

    java.lang.Object
      org.modeshape.web.jcr.rest.client.domain.PropertyDefinition.StringValue

All Implemented Interfaces:
  Value

Enclosing class:
  PropertyDefinition

    protected class PropertyDefinition.StringValue

extends Object
implements Value

Constructor Summary
`protected` | `PropertyDefinition.StringValue(String value)`

Method Summary
`Binary` | `getBinary()`
`boolean` | `getBoolean()`
`Calendar` | `getDate()`
`Calendar` | `getDateInUtc()`
`BigDecimal` | `getDecimal()`
`double` | `getDouble()`
`long` | `getLong()`
`InputStream` | `getStream()`
`String` | `getString()`
`int` | `getType()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PropertyDefinition.StringValue

    protected PropertyDefinition.StringValue(String value)

Method Detail

### getBoolean

    public boolean getBoolean()
                       throws ValueFormatException,
                              RepositoryException

  Specified by:
    `getBoolean` in interface `Value`
  Throws:
    `ValueFormatException`
    `RepositoryException`
  See Also:
    `Value.getBoolean()`

### getDate

    public Calendar getDate()
                     throws ValueFormatException,
                            RepositoryException

  Specified by:
    `getDate` in interface `Value`
  Throws:
    `ValueFormatException`
    `RepositoryException`
  See Also:
    `Value.getDate()`

### getDateInUtc

    public Calendar getDateInUtc()
                          throws ValueFormatException,
                                 RepositoryException

  Throws:
    `ValueFormatException`
    `RepositoryException`

### getDecimal

    public BigDecimal getDecimal()
                          throws ValueFormatException,
                                 RepositoryException

  Specified by:
    `getDecimal` in interface `Value`
  Throws:
    `ValueFormatException`
    `RepositoryException`
  See Also:
    `Value.getDecimal()`

### getDouble

    public double getDouble()
                     throws ValueFormatException,
                            RepositoryException

  Specified by:
    `getDouble` in interface `Value`
  Throws:
    `ValueFormatException`
    `RepositoryException`
  See Also:
    `Value.getDouble()`

### getLong

    public long getLong()
                 throws ValueFormatException,
                        RepositoryException

  Specified by:
    `getLong` in interface `Value`
  Throws:
    `ValueFormatException`
    `RepositoryException`
  See Also:
    `Value.getLong()`

### getStream

    public InputStream getStream()
                          throws RepositoryException

  Specified by:
    `getStream` in interface `Value`
  Throws:
    `RepositoryException`
  See Also:
    `Value.getStream()`

### getString

    public String getString()

  Specified by:
    `getString` in interface `Value`
  See Also:
    `Value.getString()`

### getType

    public int getType()

  Specified by:
    `getType` in interface `Value`
  See Also:
    `Value.getType()`

### getBinary

    public Binary getBinary()

  Specified by:
    `getBinary` in interface `Value`
  See Also:
    `Value.getBinary()`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.